data:extend(
{
	--Medium furnaces
	{
		type = "furnace",
		name = "M-furnace-1",
		icon = "__base__/graphics/icons/stone-furnace.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {mining_time = 1, result = "M-furnace-1"},
		max_health = 500,
		corpse = "big-remnants",
		working_sound =
		{
		  sound = { filename = "__base__/sound/furnace.ogg" }
		},
		resistances =
		{
		  {
			type = "fire",
			percent = 100
		  }
		},
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		crafting_categories = {"smelting"},
		result_inventory_size = 1,
		energy_usage = "390kW",
		crafting_speed = 3,
		source_inventory_size = 2,
		energy_source =
		{
		  type = "burner",
		  effectivity = 1,
		  emissions = 0.02,
		  fuel_inventory_size = 2,
		  smoke =
		  {
			{
			  name = "smoke",
			  deviation = {0.1, 0.1},
			  frequency = 0.1,
			  position = {0, 0},
			  starting_vertical_speed = 0.05
			}
		  }
		},
		animation =
		{
		  filename = "__base__/graphics/entity/stone-furnace/stone-furnace.png",
		  priority = "high",
		  scale=1.5,
		  width = 91,
		  height = 69,
		  frame_count = 1,
		  shift = {0.5*1.5, 0.05*1.5}
		},
		working_visualisations =
		{
		  {
			north_position = {0.0, 0.0},
			east_position = {0.0, 0.0},
			south_position = {0.0, 0.0},
			west_position = {0.0, 0.0},
			animation =
			{
			  filename = "__base__/graphics/entity/stone-furnace/stone-furnace-fire.png",
			  priority = "extra-high",
			  scale=1.5,
			  width = 23,
			  height = 27,
			  frame_count = 12,
			  shift = { 0.078125*1.2, 0.5234375*1.2}
			},
			
			light = {intensity = 2, size = 2}
		  }
		},
		fast_replaceable_group = "furnace"
	},

	
	{
		type = "furnace",
		name = "M-furnace-2",
		icon = "__base__/graphics/icons/steel-furnace.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {mining_time = 1, result = "M-furnace-2"},
		max_health = 800,
		corpse = "big-remnants",
		working_sound =
		{
		  sound = { filename = "__base__/sound/furnace.ogg" }
		},
		resistances =
		{
		  {
			type = "fire",
			percent = 100
		  }
		},
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		crafting_categories = {"smelting"},
		result_inventory_size = 1,
		energy_usage = "575kW",
		crafting_speed = 6,
		source_inventory_size = 2,
		energy_source =
		{
		  type = "burner",
		  effectivity = 1,
		  emissions = 0.02,
		  fuel_inventory_size = 2,
		  smoke =
		  {
			{
			  name = "smoke",
			  deviation = {0.1, 0.1},
			  frequency = 0.1,
			  position = {0, 0},
			  starting_vertical_speed = 0.05
			}
		  }
		},
		animation =
		{
		  filename = "__base__/graphics/entity/steel-furnace/steel-furnace.png",
		  priority = "high",
		  scale=1.5,
		  width = 91,
		  height = 69,
		  frame_count = 1,
		  shift = {0.5*1.5, 0.05*1.5}
		},
		working_visualisations =
		{
		  {
			north_position = {0.0, 0.0},
			east_position = {0.0, 0.0},
			south_position = {0.0, 0.0},
			west_position = {0.0, 0.0},
			animation =
			{
			  filename = "__base__/graphics/entity/steel-furnace/steel-furnace-fire.png",
			  priority = "high",
			  scale=1.5,
			  width = 36,
			  height = 19,
			  frame_count = 12,
			  shift = { 0.0625*1.5, 0.375*1.5}
			},
			light = {intensity = 2, size = 2}
		  }
		},
		fast_replaceable_group = "furnace"
	},
	
	--Large Furnaces
		{
		type = "furnace",
		name = "L-furnace-1",
		icon = "__base__/graphics/icons/stone-furnace.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {mining_time = 1, result = "L-furnace-1"},
		max_health = 1200,
		corpse = "big-remnants",
		working_sound =
		{
		  sound = { filename = "__base__/sound/furnace.ogg" }
		},
		resistances =
		{
		  {
			type = "fire",
			percent = 100
		  }
		},
		collision_box = {{-2.2, -2.2}, {2.2, 2.2}},
		selection_box = {{-2.3, -2.3}, {2.3, 2.3}},
		crafting_categories = {"smelting"},
		result_inventory_size = 1,
		energy_usage = "840kW",
		crafting_speed = 10,
		source_inventory_size = 2,
		energy_source =
		{
		  type = "burner",
		  effectivity = 1,
		  emissions = 0.02,
		  fuel_inventory_size = 3,
		  smoke =
		  {
			{
			  name = "smoke",
			  deviation = {0.1, 0.1},
			  frequency = 0.1,
			  position = {0, 0},
			  starting_vertical_speed = 0.05
			}
		  }
		},
		animation =
		{
		  filename = "__base__/graphics/entity/stone-furnace/stone-furnace.png",
		  priority = "high",
		  scale=2.5,
		  width = 91,
		  height = 69,
		  frame_count = 1,
		  shift = {0.5*2.5, 0.05*2.5}
		},
		working_visualisations =
		{
		  {
			north_position = {0.0, 0.0},
			east_position = {0.0, 0.0},
			south_position = {0.0, 0.0},
			west_position = {0.0, 0.0},
			
			animation =
			{
			  filename = "__base__/graphics/entity/stone-furnace/stone-furnace-fire.png",
			  priority = "extra-high",
			  scale=2.5,
			  width = 23,
			  height = 27,
			  frame_count = 12,
			  shift = { 0.078125*1.5, 0.5234375*1.5}
			},
			light = {intensity = 4, size = 4}
		  }
		},
		fast_replaceable_group = "furnace"
	},
	
	{
		type = "furnace",
		name = "L-furnace-2",
		icon = "__base__/graphics/icons/steel-furnace.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {mining_time = 1, result = "L-furnace-2"},
		max_health = 1500,
		corpse = "big-remnants",
		working_sound =
		{
		  sound = { filename = "__base__/sound/furnace.ogg" }
		},
		resistances =
		{
		  {
			type = "fire",
			percent = 100
		  }
		},
		collision_box = {{-2.2, -2.2}, {2.2, 2.2}},
		selection_box = {{-2.3, -2.3}, {2.3, 2.3}},
		crafting_categories = {"smelting"},
		result_inventory_size = 1,
		energy_usage = "1,25MW",
		crafting_speed = 20,
		source_inventory_size = 2,
		energy_source =
		{
		  type = "burner",
		  effectivity = 1,
		  emissions = 0.02,
		  fuel_inventory_size = 3,
		  smoke =
		  {
			{
			  name = "smoke",
			  deviation = {0.1, 0.1},
			  frequency = 0.1,
			  position = {0, 0},
			  starting_vertical_speed = 0.05
			}
		  }
		},
		animation =
		{
		  filename = "__base__/graphics/entity/steel-furnace/steel-furnace.png",
		  priority = "high",
		  scale=2.5,
		  width = 91,
		  height = 69,
		  frame_count = 1,
		  shift = {0.5*2.5, 0.05*2.5}
		},
		working_visualisations =
		{
		  {
			north_position = {0.0, 0.0},
			east_position = {0.0, 0.0},
			south_position = {0.0, 0.0},
			west_position = {0.0, 0.0},
			animation =
			{
			  filename = "__base__/graphics/entity/steel-furnace/steel-furnace-fire.png",
			  priority = "high",
			  scale=2.5,
			  width = 36,
			  height = 19,
			  frame_count = 12,
			  shift = { 0.0625*2.5, 0.375*2.5}
			},
			light = {intensity = 4, size = 4}
		  }
		},
		fast_replaceable_group = "furnace"
	},
	--Blast Furnaces
		{
		type = "furnace",
		name = "B-furnace-1",
		icon = "__base__/graphics/icons/stone-furnace.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {mining_time = 1, result = "B-furnace-1"},
		max_health = 2000,
		corpse = "big-remnants",
		working_sound =
		{
		  sound = { filename = "__base__/sound/furnace.ogg" }
		},
		resistances =
		{
		  {
			type = "fire",
			percent = 100
		  }
		},
		collision_box = {{-3.2, -3.2}, {3.2, 3.2}},
		selection_box = {{-3.3, -3.3}, {3.3, 3.3}},
		crafting_categories = {"smelting"},
		result_inventory_size = 1,
		energy_usage = "1,4MW",
		crafting_speed = 25,
		source_inventory_size = 2,
		energy_source =
		{
		  type = "burner",
		  effectivity = 1,
		  emissions = 0.02,
		  fuel_inventory_size = 3,
		  smoke =
		  {
			{
			  name = "smoke",
			  deviation = {0.1, 0.1},
			  frequency = 0.1,
			  position = {0, 0},
			  starting_vertical_speed = 0.05
			}
		  }
		},
		animation =
		{
		  filename = "__base__/graphics/entity/stone-furnace/stone-furnace.png",
		  priority = "high",
		  scale=3.5,
		  width = 91,
		  height = 69,
		  frame_count = 1,
		  shift = {0.5*3.5, 0.05*3.5}
		},
		working_visualisations =
		{
		  {
			north_position = {0.0, 0.0},
			east_position = {0.0, 0.0},
			south_position = {0.0, 0.0},
			west_position = {0.0, 0.0},
			
			animation =
			{
			  filename = "__base__/graphics/entity/stone-furnace/stone-furnace-fire.png",
			  priority = "extra-high",
			  scale=3.5,
			  width = 23,
			  height = 27,
			  frame_count = 12,
			  shift = { 0.078125*2, 0.5234375*2}
			},
			light = {intensity = 4, size = 4}
		  }
		},
		fast_replaceable_group = "furnace"
	},
	
	{
		type = "furnace",
		name = "B-furnace-2",
		icon = "__base__/graphics/icons/steel-furnace.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {mining_time = 1, result = "B-furnace-2"},
		max_health = 1500,
		corpse = "big-remnants",
		working_sound =
		{
		  sound = { filename = "__base__/sound/furnace.ogg" }
		},
		resistances =
		{
		  {
			type = "fire",
			percent = 100
		  }
		},
		collision_box = {{-3.2, -3.2}, {3.2, 3.2}},
		selection_box = {{-3.3, -3.3}, {3.3, 3.3}},
		crafting_categories = {"smelting"},
		result_inventory_size = 1,
		energy_usage = "2,1MW",
		crafting_speed = 45,
		source_inventory_size = 2,
		energy_source =
		{
		  type = "burner",
		  effectivity = 1,
		  emissions = 0.02,
		  fuel_inventory_size = 3,
		  smoke =
		  {
			{
			  name = "smoke",
			  deviation = {0.1, 0.1},
			  frequency = 0.1,
			  position = {0, 0},
			  starting_vertical_speed = 0.05
			}
		  }
		},
		animation =
		{
		  filename = "__base__/graphics/entity/steel-furnace/steel-furnace.png",
		  priority = "high",
		  scale=3.5,
		  width = 91,
		  height = 69,
		  frame_count = 1,
		  shift = {0.5*3.5, 0.05*3.5}
		},
		working_visualisations =
		{
		  {
			north_position = {0.0, 0.0},
			east_position = {0.0, 0.0},
			south_position = {0.0, 0.0},
			west_position = {0.0, 0.0},
			animation =
			{
			  filename = "__base__/graphics/entity/steel-furnace/steel-furnace-fire.png",
			  priority = "high",
			  scale=3.5,
			  width = 36,
			  height = 19,
			  frame_count = 12,
			  shift = { 0.0625*3.5, 0.375*3.5}
			},
			light = {intensity = 4, size = 4}
		  }
		},
		fast_replaceable_group = "furnace"
	},
}
)